# Interface methods for submodule: MinimumMaximumImageCalculator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: MinimumMaximumImageCalculator
class MinimumMaximumImageCalculatorProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetImage(self, _arg) -> None:
		""""""
		...

	def ComputeMinimum(self) -> None:
		""""""
		...

	def ComputeMaximum(self) -> None:
		""""""
		...

	def Compute(self) -> None:
		""""""
		...

	@overload
	def GetMinimum(self) -> float:
		""""""
		...

	@overload
	def GetMinimum(self) -> int:
		""""""
		...

	@overload
	def GetMaximum(self) -> float:
		""""""
		...

	@overload
	def GetMaximum(self) -> int:
		""""""
		...

	def GetIndexOfMinimum(self) -> Sequence[int]:
		""""""
		...

	def GetIndexOfMaximum(self) -> Sequence[int]:
		""""""
		...

	def SetRegion(self, region: ImageRegion) -> None:
		""""""
		...

